Subject: bug#68004: closed (Re: [bug#68004] [PATCH] doc: update location of FETCHFILES variable)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 24 Dec 2023 23:05:03 +0000

Your bug report

#68004: [PATCH] doc: update location of FETCHFILES variable

which was filed against the automake-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68004: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68004
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#68004] [PATCH] doc: update location of FETCHFILES variable
From: Karl Berry <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 24 Dec 2023 16:04:08 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

    * HACKING: FETCHFILES has been moved: Makefile.am -> maintainer/maint.mk

Thanks Dimitri. Installed (I tweaked a couple more words while we were
there). (Also closing.) --all the best, karl.

Subject: [PATCH] doc: update location of FETCHFILES variable
From: Dimitri Papadopoulos <[email-masked]>
To: [email-masked]
Cc: Dimitri Papadopoulos <[email-masked]>
Date: Sun, 24 Dec 2023 12:56:36 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

* HACKING: FETCHFILES has been moved: Makefile.am -> maintainer/maint.mk

Copyright-paperwork-exempt: yes
---
 HACKING | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

diff --git a/HACKING b/HACKING
index 14cf9d749..75c9cf166 100644
--- a/HACKING
+++ b/HACKING
@@ -32,14 +32,15 @@
   sure to add a test case for it, and to reference such test case from
   a proper Texinfo comment.
 
-* Some files in the automake package are not owned by automake (many by
-  gnulib, https://gnu.org/s/gnulib); these files are listed in the
-  $(FETCHFILES) variable in Makefile.am.  They should never be edited
-  here.  All but one of them can be updated from respective upstreams
-  with "make fetch" (this should be done especially before releases).
-  The only exceptions are help2man (install the current version) and
-  'lib/COPYING' (from FSF), which should be updated by hand whenever the
-  GPL gets updated (which shouldn't happen that often anyway :-).
+* Some files in the automake package are not owned by automake (many
+  by gnulib, https://gnu.org/s/gnulib); these files are listed in the
+  $(FETCHFILES) variable in maintainer/maint.mk.  They should never be
+  edited here.  All but one of them can be updated from respective
+  upstreams with "make fetch" (this should be done especially before
+  releases). The only exceptions are help2man (install the current
+  version) and 'lib/COPYING' (from FSF), which should be updated by hand
+  whenever the GPL gets updated (which shouldn't happen that often
+  anyway :-).
 
 * All changes that are not trivial bug fixes must be mentioned in NEWS.
 
-- 
2.34.1